package com.ruoyi.processdata.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.processdata.domain.PdProfessionVersion0Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.processdata.mapper.PdProfessionVersion0UpdateMapper;
import com.ruoyi.processdata.domain.PdProfessionVersion0Update;
import com.ruoyi.processdata.service.IPdProfessionVersion0UpdateService;

/**
 * 专业线0分更新Service业务层处理
 *
 * @author voluntarydata
 * @date 2023-05-18
 */
@Service
public class PdProfessionVersion0UpdateServiceImpl implements IPdProfessionVersion0UpdateService
{
    @Autowired
    private PdProfessionVersion0UpdateMapper pdProfessionVersion0UpdateMapper;

    /**
     * 查询专业线0分更新
     *
     * @param id 专业线0分更新主键
     * @return 专业线0分更新
     */
    @Override
    public PdProfessionVersion0Update selectPdProfessionVersion0UpdateById(String id)
    {
        return pdProfessionVersion0UpdateMapper.selectPdProfessionVersion0UpdateById(id);
    }

    @Override
    public String selectMaxVersion(String location) {
        return pdProfessionVersion0UpdateMapper.selectMaxVersion(location);
    }

    /**
     * 查询专业线0分更新列表
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 专业线0分更新
     */
    @Override
    public List<PdProfessionVersion0Update> selectPdProfessionVersion0UpdateList(PdProfessionVersion0Update pdProfessionVersion0Update)
    {
        return pdProfessionVersion0UpdateMapper.selectPdProfessionVersion0UpdateList(pdProfessionVersion0Update);
    }

    @Override
    public List<PdProfessionVersion0Result> selectVersion0(PdProfessionVersion0Update pdProfessionVersion0Update) {
        return pdProfessionVersion0UpdateMapper.selectVersion0(pdProfessionVersion0Update);
    }

    @Override
    public List<PdProfessionVersion0Result> selectVersion0BatchCourse(PdProfessionVersion0Update pdProfessionVersion0Update) {
        return pdProfessionVersion0UpdateMapper.selectVersion0BatchCourse(pdProfessionVersion0Update);
    }

    /**
     * 新增专业线0分更新
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 结果
     */
    @Override
    public int insertPdProfessionVersion0Update(PdProfessionVersion0Update pdProfessionVersion0Update)
    {
        pdProfessionVersion0Update.setCreateTime(DateUtils.getNowDate());
        return pdProfessionVersion0UpdateMapper.insertPdProfessionVersion0Update(pdProfessionVersion0Update);
    }

    /**
     * 修改专业线0分更新
     *
     * @param pdProfessionVersion0Update 专业线0分更新
     * @return 结果
     */
    @Override
    public int updatePdProfessionVersion0Update(PdProfessionVersion0Update pdProfessionVersion0Update)
    {
        pdProfessionVersion0Update.setUpdateTime(DateUtils.getNowDate());
        return pdProfessionVersion0UpdateMapper.updatePdProfessionVersion0Update(pdProfessionVersion0Update);
    }

    /**
     * 批量删除专业线0分更新
     *
     * @param ids 需要删除的专业线0分更新主键
     * @return 结果
     */
    @Override
    public int deletePdProfessionVersion0UpdateByIds(String[] ids)
    {
        return pdProfessionVersion0UpdateMapper.deletePdProfessionVersion0UpdateByIds(ids);
    }

    /**
     * 删除专业线0分更新信息
     *
     * @param id 专业线0分更新主键
     * @return 结果
     */
    @Override
    public int deletePdProfessionVersion0UpdateById(String id)
    {
        return pdProfessionVersion0UpdateMapper.deletePdProfessionVersion0UpdateById(id);
    }
}
